<?php
// définit la présentation des dates, valeurs numériques au format local (français)
setlocale(LC_ALL, '') ;
// --- saisie et affichage d'un caractère ---
echo "\n";
echo "Entrez un caractère (ex : Q) : ";
$caractere=fgetc(STDIN);
echo "echo   : La valeur saisie avec fgetc() est : " . $caractere . "\n" ;
fputs(STDOUT,"fputs  : La valeur saisie avec fgetc() est : " . $caractere . "\n") ;
// --- saisie et affichage d'un entier ---
echo "\n";
echo "Entrez un entier (ex : 65) : ";
fscanf(STDIN, "%d", $number);
echo "echo   : La valeur saisie par fscanf() est : " . $number . "\n" ;
printf("printf : La valeur saisie est : %d\n",$number) ;
?>
